Skip to main content
POST
/
robots
/
{robotId}
/
actions
Executes an action on a robot
curl --request POST \
  --url https://api.inorbit.ai/robots/{robotId}/actions \
  --header 'Content-Type: application/json' \
  --header 'x-auth-inorbit-app-key: <api-key>' \
  --data '
{
  "actionId": "<string>",
  "parameters": {
    "param1": "some value",
    "param2": "otherValue"
  }
}
'
{
  "startTs": 123,
  "lastUpdateTs": 123,
  "executionId": "<string>",
  "statusDetails": "<string>",
  "returnCode": 123,
  "stderr": "<string>",
  "stdout": "<string>"
}

Authorizations

x-auth-inorbit-app-key
string
header
required

InOrbit appKey authenticates API requests using a token.

You can obtain your appKey in the Authentication docs.

Path Parameters

robotId
string
required

The robot's id

Body

application/json

Action execution request

A robot action execution request

actionId
string

ID of the action definition to be executed

parameters
object

Parameters to be used to execute the action

Example:
{
"param1": "some value",
"param2": "otherValue"
}

Response

201 - application/json

The status of the action execution

An action execution status, including return code and outputs

status
enum<string>
required

Execution status

Available options:
started,
finished,
aborted
startTs
integer
required

timestamp (unix epoch millis) when the action execution started

lastUpdateTs
integer
required

timestamp (unix epoch millis) when the action status was last updated

executionId
string

ID that identifies the action execution and can be used to later query it's status. Only the execution of actions of type RunScript have an associated executionId.

statusDetails
string

Optional extra information related to the status

returnCode
integer
stderr
string
stdout
string